package com.community.pocket.ui.main.ui.forum.news;

import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.forum.ForumPost;
import com.community.pocket.ui.main.ui.share.Response;

import org.xutils.view.annotation.ContentView;

/**
 * 最新帖子
 */
@ContentView(R.layout.forum_new_fragment)
public class ForumNewFragment extends ForumPost {

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        ForumNewViewModel viewModel = new ViewModelProvider(this, new ViewModelProvider.NewInstanceFactory()).get(ForumNewViewModel.class);

        viewModel.loadForumNew();

        //监听最新帖子请求状态
        viewModel.getForumNewResponse().observe(getViewLifecycleOwner(), new Observer<ForumNewResponse>() {
            @Override
            public void onChanged(ForumNewResponse forumNewResponse) {
                if (forumNewResponse == null) {
                    return;
                }

                forumNewResponse.toast(getContext());

                if (forumNewResponse.getResult() == Response.Result.OK) {
                    loadPost(forumNewResponse.getForumList());
                }
            }
        });
    }

    @Override
    protected int own() {
        return View.VISIBLE;
    }
}
